package org.cs.mgr.user.service;

import java.util.Map;

import org.cs.core.service.IBaseService;
import org.cs.mgr.user.model.Msg;
import org.cs.util.Pager;

import com.alibaba.fastjson.JSONObject;

public interface IMsgService extends IBaseService<Msg> {

	int countMyUnReadMsg(int userId);
	/**
	 * 获取我的消息列表
	 * @param map {code:用户code,page 当前页}
	 * @return
	 */
	public JSONObject getMyMsg(Map<String, String> map);
	/**
	 * 获取我的系统消息详情
	 * @param map
	 * @return
	 */
	public JSONObject getMsgInfo(Map<String, String> map);
	
	void sendMsg(int userId, String title, String note, String clientId,Map<String,Object> params);
	
	public Pager getMsgList(Integer userId, Pager page);
	
}
